The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Internal Server 500 Error - magic quotes

Discussion in 'General Discussion' started by Brad Sutherland, Nov 17, 2014.

  1. Brad Sutherland

    Joined:
    Sep 24, 2014
    Messages:
    7
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Saint Agnes, Cornwall, United Kingdom, United King
    cPanel Access Level:
    Root Administrator
    Hi all, i'm getting an internal server error 500 due to my .htaccess containing deprecated code which is magic quotes.

    How can I fix this problem? is there an alternative code for magic quotes?

    Error: Invalid command 'php_value', perhaps mis-spelled or defined by a module not included

    My code: php_flag magic_quotes_gpc On



    Thanks in advance.
     
  2. cmanns

    cmanns Member

    Joined:
    Nov 22, 2006
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    151
    cPanel Access Level:
    Root Administrator
    Change it to

    # php_flag magic_quotes_gpc On

    Let me know if that fixed... if there is any other php_flag set a # infront.
     
  3. Brad Sutherland

    Joined:
    Sep 24, 2014
    Messages:
    7
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Saint Agnes, Cornwall, United Kingdom, United King
    cPanel Access Level:
    Root Administrator
    Hi cmanns,

    Thanks for the reply - I've already done that to hide the error but I would still like the function to work.

    Do you know of any alternative ways of getting this to work? I.E. updated code or addslash functions?

    Thanks
     
  4. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    36,466
    Likes Received:
    1,216
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Hello :)

    Please see:

    PHP: Magic Quotes - Manual

    This feature has been DEPRECATED as of PHP 5.3.0 and REMOVED as of PHP 5.4.0.

    Thank you.
     
Loading...

Share This Page